#include<iostream>
using namespace std;
int main()
{
	std::ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	long long niz[30000],n,k,i,t=0,l,s,m;
	double u;
	cin>>t;
	for(i=0;i<t;i++)
	{
	cin>>n>>k>>l;
	s=n/l;
if(s%2==0)	u=(((1.0+s)/2.0)*s); else u=(((1+s)/2)*s)+(s/2);
	u=u+(n-s*l)*(s+1);
	if(k>=u)cout<<"Tak";
	else cout<<"Nie";
}
}